package com.huimv.environ.eco.service;

import com.huimv.common.utils.Result;
import com.huimv.environ.eco.entity.EcoDevice;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-11-09
 */
public interface EcoDeviceService extends IService<EcoDevice> {
    Result add(EcoDevice ecoDevice);

    Result edit(EcoDevice ecoDevice);

    Result remove(Map<String,String> paramsMap);

    Result list(Map<String,String> paramsMap);

    List<Map> getDeviceList2();

    List<Map> getDryDeviceByDeviceType();
}
